Subject: [Ltru] variant Suppress-Script (was: Request for variant subtags "scouse" and "boont")

From: Frank Ellermann <[email-masked]>
Date: Sat, 02 Sep 2006 16:38:18 +0200

Doug Ewell wrote on the other list:

> I wonder, however, if we (LTRU) might have a need in the
> future to revise those rules and allow a Suppress-Script
> for a language-variant combination.  I don't have a real
> example, but close your eyes and pretend for a moment that
> we are faced with a dialect of Mongolian that warrants a
> variant on proper linguistic grounds, and coincidentally
> happens to be written overwhelmingly in Cyrillic script
> and virtually never in Mongolian script. In that hypothetical
> case, it might be appropriate to consider that the
> language-variant combination "mn-whatever" should have a
> Suppress-Script of "Cyrl" even though "mn" by itself has
> none.  Just a thought.

It's certainly an interesting fact.  IMO Suppress-Script is
a kludge for naive applications, and situations like right
to left truncation or left to right matching.  They'd end up
with "I can see an mn and whatever and no script, and there
is no Suppress-Script for mn" (for new 3066bis applications).

To confuse "old" 3066-applications (= all existing browsers
and Web servers) add a region code as in mn-RU-whatever vs.
mn-Cyrl-RU-whatever.  At the moment we have four cases:  both
sides new, both old, old client + new server, or vice versa.

With a new Suppress-Script rule we'd get nine cases.  I can't
tell immediately if that could fail miserably in some cases.

Frank

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru